<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layoutadmin}">
<head>
    <meta charset="UTF-8">
    <title>Laporan Presensi</title>
</head>
<body>
<div layout:fragment="main">
    <div class="header bg-gradient-primary pb-8 pt-5 pt-md-8">
        <div class="container-fluid">
            <div class="header-body">
                <!-- Card stats -->
                <div class="row">
                    <div class="col-xl-12 col-lg-12">
                        <div class="card card-stats mb-4 mb-xl-0">
                            <div class="card-body">
                                <div class="row">
                                    <div class="col">
                                        <h5 class="card-title text-uppercase text-muted mb-0">Rekap</h5>
                                        <span class="h2 font-weight-bold mb-0">Presensi Dosen</span>
                                    </div>
                                    <div class="col-auto">
                                        <div class="icon icon-shape bg-gradient-blue text-white rounded-circle shadow">
                                            <i class="fas fa-user-astronaut"></i>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                </div>
            </div>
        </div>
    </div>

    <div class="container-fluid mt--7">
        <div class="row">
            <div class="col">
                <div class="card shadow">
                    <div class="card-header border-0">
                        <h3 class="mb-0">Data Presensi</h3>
                    </div>
                    <div class="card-footer" >
                        <div class="card shadow" style="margin-top: 10px; margin-bottom: 10px;">
                            <div class="card-header border-0">
                                <div class="row align-items-center">
                                    <div class="col-md-2">
                                        <input type="date" class="form-control" th:value="${tanggal}"
                                               name="tanggalTutupPerbaikan" id="tanggal" >
                                    </div>
                                    <p><small>Klik header table untuk sort</small></p>
                                    <div class="col text-right">
                                        <h3 class="mb-0"><i class="fas fa-book"></i> &nbsp; Jumlah SKS (<span style="color: red"></span>)</h3>
                                    </div>
                                </div>
                            </div>
                            <div class="table-responsive">
                                <table class="table align-items-center table-flush sortable">
                                    <thead class="thead-light">
                                    <tr>
                                        <th>Dosen</th>
                                        <th>Jadwal</th>
                                        <th>Jadwal Mulai</th>
                                        <th>Realisasi</th>
                                        <th>Range</th>
                                        <th>Pertemuan</th>
                                        <th>Status Presensi</th>
                                        <th>Jml Mahasiswa</th>
                                        <th>Hadir</th>
                                        <th>Mangkir</th>
                                        <th>Izin</th>
                                        <th>Sakit</th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    <tr th:each="rekap : ${rekap}">
                                        <td th:text="${rekap.dosen}"></td>
                                        <td th:text="${rekap.matkul + ' - ' + rekap.kelas}"></td>
                                        <td th:text="${rekap.mulai}"></td>
                                        <td th:text="${rekap.realisasi}"></td>
                                        <td th:text="${rekap.rangeWaktu}"></td>
                                        <td th:text="${rekap.pertemuan}"></td>
                                        <td th:text="${rekap.presensi}"></td>
                                        <td th:text="${rekap.jumlahMahasiswa}"></td>
                                        <td th:text="${rekap.hadir}"></td>
                                        <td th:text="${rekap.mangkir}"></td>
                                        <td th:text="${rekap.izin}"></td>
                                        <td th:text="${rekap.sakit}"></td>
                                    </tr>
                                    </tbody>
                                </table>
                            </div>
                        </div>

                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
</body>
</html>
<script src="https://www.kryogenix.org/code/browser/sorttable/sorttable.js"></script>
<script>
    var today = new Date();
    var dd = today.getDate();
    var mm = today.getMonth()+1; //January is 0!
    var yyyy = today.getFullYear();
    if(dd<10){
        dd='0'+dd
    }
    if(mm<10){
        mm='0'+mm
    }

    today = yyyy+'-'+mm+'-'+dd;
    document.getElementById("tanggal").setAttribute("max", today);

    $('#tanggal').change(function() {
        var date = $(this).val();
        window.location.href = '/report/recapitulation/schedule?tanggal=' + date
    });

</script>